%global pypi_name distlib
%bcond_without check

Name:       python-distlib
Version:    0.3.6
Release:    %mkrel 1
Summary:    Low-level components of distutils2/packaging, augmented with higher-level APIs
Group:      Development/Python
License:    Python
URL:        https://pypi.org/project/distlib/
Source0:    %pypi_source %{pypi_name} %{version} tar.gz
BuildArch:  noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(wheel)
BuildRequires:  pyproject-rpm-macros

%description
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.

%package -n python3-%{pypi_name}
Summary: %{summary}
Group:      Development/Python

%description -n python3-%{pypi_name}
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

rm distlib/*.exe
rm -rf distlib/_backport

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
export PYTHONHASHSEED=0
# Some tests require network access
export SKIP_ONLINE=1
%{python3} tests/test_all.py
%endif
# with check

%files -n python3-%{pypi_name} -f %pyproject_files
%doc README.rst
%license LICENSE.txt


%changelog
* Tue Nov 15 2022 guillomovitch <guillomovitch> 0.3.6-1.mga9
+ Revision: 1907700
- new version 0.3.6

* Sat Aug 20 2022 papoteur <papoteur> 0.3.5-1.mga9
+ Revision: 1878863
- new 0.3.5
- fix running tests without setup.py

* Tue Mar 29 2022 umeabot <umeabot> 0.3.4-3.mga9
+ Revision: 1831644
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.3.4-2.mga9
+ Revision: 1773532
- Rebuild for python-3.10

* Mon Dec 27 2021 guillomovitch <guillomovitch> 0.3.4-1.mga9
+ Revision: 1764584
- new version 0.3.4

* Sat Aug 28 2021 wally <wally> 0.3.2-1.mga9
+ Revision: 1743142
- new version 0.3.2

* Mon Mar 15 2021 neoclust <neoclust> 0.3.1-2.mga9
+ Revision: 1703224
- Add buildrequires to fix build
- Rebuild against python 3.9

* Tue Mar 02 2021 guillomovitch <guillomovitch> 0.3.1-1.mga9
+ Revision: 1696335
- imported package python-distlib

